%define module	Device-Cdio
%define name	perl-%{module}
%define version	0.3.0
%define release %mkrel 3

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Module for CD Input and Control library
License:	GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/Device/%{module}-v%{version}.tar.gz
Patch0:		perl-Device-Cdio-0.3.0-gcc-4.7.patch
BuildRequires:	perl-devel >= 5.8.0
BuildRequires:	perl(ExtUtils::PkgConfig)
BuildRequires:	perl(Module::Build)
BuildRequires:	perl-version
BuildRequires:	libcdio-devel >= 0.82 
BuildRequires:	swig

%description
A module to make easier temporary directories deletion

%prep
%setup -q -n %{module}-v%{version}
%patch0 -p1 -b .gcc47

%build
%__perl Build.PL installdirs=vendor
# M::B copy files read-only, forcing to use 
# a two-pass build command
# https://rt.cpan.org/Ticket/Display.html?id=42777
./Build CFLAGS="%{optflags}" || :
chmod u+w -R .
./Build CFLAGS="%{optflags}"

%install
./Build install destdir=%{buildroot}

%files
%doc Changes COPYING
%{perl_vendorarch}/*
%_mandir/*/*


%changelog

* Tue Jan 15 2013 sander85 <sander85> 0.3.0-3.mga3
+ Revision: 388352
- Fix build with GCC 4.7

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - rebuild for perl 5.16

* Sat Oct 29 2011 fwang <fwang> 0.3.0-1.mga2
+ Revision: 159373
- update file list
- new version 0.3.0
- rebuild for new libcdio

* Sat Jun 11 2011 sander85 <sander85> 0.2.4-13.mga2
+ Revision: 104195
- perl 5.14

* Mon Jan 24 2011 jquelin <jquelin> 0.2.4-12.mga1
+ Revision: 36875
- rebuild

* Sun Jan 23 2011 jquelin <jquelin> 0.2.4-11.mga1
+ Revision: 34879
- rebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.2.4-10.mga1
+ Revision: 32749
- mageia rebuild
- imported package perl-Device-Cdio

